#ifndef LAUNCHER_H
#define LAUNCHER_H
#include <iostream>
#include <data_acces.h>
class session_manager
{
public:
  session_manager(int fd);
  void start_dialog();
  int execute();
  void send_information();
  bool validate_pass();
 private:
  virtual int read_data(char* input, int size);
  virtual int write_data(std::string output);
  int fd;
  data_acces* data;
  char** args;
};

#endif // LAUNCHER_H
