#ifndef CONEXION_H
#define CONEXION_H
#include <string>
#include "config_reader.h"
#include "data_acces.h"
using namespace std;
class conexion
{
public:
    conexion(config_reader &conf);
    virtual void start_server();
    bool check_pass(std::string username, std::string passwd);
protected:
    data_acces* data;
    int create_socket(int port);
    config_reader* config;
};
#endif // CONEXION_H
